---
title: "New HIFIS course: Continuous Integration in GitLab"
title_image: adi-goldstein-mDinBvq1Sfg-unsplash_shrinked.jpg
date: 2022-05-20
authors:
 - klaffki
layout: blogpost
categories:
  - News
redirect_from: news/education/event/2022/05/20/CI-course.html
tags:
  - Education
  - Event
excerpt: >
  HIFIS Technology developed a new online course which will take place for the first time June 14–16, 2022: Continuous Integration in GitLab.
---

## New HIFIS course: Continuous Integration in GitLab
HIFIS Technology developed a new online course which will take place for the first time June 14–16, 2022: 
[Continuous Integration in GitLab](https://events.hifis.net/event/296/). 
It aims at intermediate level users as some basic knowledge of Git and GitLab is required. 
You should already have some experience with a Unix shell, too. 
To refresh your acquaintance with the shell, you might want to have a look at [this introduction](https://swcarpentry.github.io/shell-novice/).   
For a detailed agenda have a look at the [timetable](https://events.hifis.net/event/296/timetable/#20220614).

## Pipelines, Automation and Optimization: What is CI?
Continuous Integration (CI) is a principle where all contributors commit their code regularly, in small amounts.
But nobody wants to check each file or, even worse, each commit for formal criteria like code styles or licensing. 
GitLab CI is a tool to help with those tedious tasks — you can build a pipeline covering all your tasks and let it run with each commit before inserting the code. 
This course will walk you through such a pipeline on Day 1. 
On Day 2, you will learn how to optimize this pipeline with some advanced concepts and 
on Day 3, it is time to bring along your own project and apply your new knowledge with the help of experts.
All this will happen at the [Helmholtz Codebase](https://helmholtz.cloud/services?serviceDetails=svc-c5d1516e-ffd2-42ae-b777-e891673fcb32), a free-of-charge GitLab service for anybody within Helmholtz and their partners. 
It is already home to lots of projects, but there is always room for more.

## Registration is open!
The registration for this three-day course is open until Sunday, 5th of June, so do not hesitate to [secure your place](https://events.hifis.net/event/296/registrations/) and make sure you can log in to the Helmholtz Codebase via Helmholtz AAI! 
